---
variables:
  DOCKER_HOST: tcp://docker:2375
  DOCKER_VERSION: "25.0.2"

.docker-build:
  stage: build
  image: docker:${DOCKER_VERSION}
  services:
    - docker:${DOCKER_VERSION}-dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull -t ${CI_REGISTRY_USER}/${CI_PROJECT_NAME}:${CI_COMMIT_TAG} -t ${CI_REGISTRY_USER}/${CI_PROJECT_NAME}:latest
    - docker push ${CI_REGISTRY_USER}/${CI_PROJECT_NAME}:${CI_COMMIT_TAG}
    - docker push ${CI_REGISTRY_USER}/${CI_PROJECT_NAME}:latest
  rules:
    - if: $CI_COMMIT_TAG 
